#include "xgfxworlddpvsstatic.h"

XGfxWorldDpvsStatic::XGfxWorldDpvsStatic()
    : XAsset()
    , mModelCount(0)
    , mStaticSurfaceCount(0)
    , mLitSurfsBegin(0)
    , mLitSurfsEnd(0)
    , mDecalSurfsBegin(0)
    , mDecalSurfsEnd(0)
    , mEmissiveSurfsBegin(0)
    , mEmissiveSurfsEnd(0)
    , mModelVisDataCount(0)
    , mSurfaceVisDataCount(0)
    , mSmodelVisData()
    , mSurfaceVisData()
    , mLodData(nullptr)
    , mSortedSurfIndex(nullptr)
    , mModelInsts()
    , mSurfaces()
    , mCullGroups()
    , mModelDrawInsts()
    , mSurfaceMaterials()
    , mSurfaceCastsSunShadow(nullptr)
    , mUsageCount(0)
{
    SetName("GFX World DPVS Static");
}

XGfxWorldDpvsStatic::~XGfxWorldDpvsStatic()
{

}

void XGfxWorldDpvsStatic::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XGfxWorldDpvsStatic::ParseData
}

void XGfxWorldDpvsStatic::Clear()
{

}
